PATCH
/
v2
/
outbound
/
group-presets
/
{preset_id}
Update an outbound group preset
curl --request PATCH \
  --url https://api-v2.watchcollect.com/v2/outbound/group-presets/{preset_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "VIP dealer groups",
  "group_ids": [
    "018f06e2-4f8d-7c01-8a0d-cc6fd78f7300"
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "actor_user_id": "<string>",
  "name": "<string>",
  "group_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "created_at_ms": 123,
  "updated_at_ms": 123,
  "description": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

preset_id
string<uuid>
required

Body

application/json
name
string
Required string length: 1 - 120
description
string | null
Maximum string length: 500
group_ids
string<uuid>[]
Required array length: 1 - 100 elements

Response

Group preset updated.

id
string<uuid>
required
actor_user_id
string
required

Clerk user id that owns this preset.

name
string
required
group_ids
string<uuid>[]
required
created_at_ms
integer<int64>
required
updated_at_ms
integer<int64>
required
description
string | null